ISVNDeltaConsumer (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.io.ISVNDeltaConsumer interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Interface ISVNDeltaConsumer

All Known Subinterfaces:
  ISVNEditor, ISVNFileRevisionHandler

All Known Implementing Classes:
  SVNAnnotationGenerator, SVNReplicationEditor

public interface ISVNDeltaConsumer

The ISVNDeltaConsumer interface is implemented by receivers of diff windows. For example, such consumers are passed to a `delta generator` when generating a series of diff windows from sources (text/binary streams).

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Method Summary
`void` | `applyTextDelta(String path, String baseChecksum)` Starts applying text delta(s) to an opened file.
`OutputStream` | `textDeltaChunk(String path, SVNDiffWindow diffWindow)` Collects a next delta chunk.
`void` | `textDeltaEnd(String path)` Finalizes collecting text delta(s).

Method Detail

### applyTextDelta

    public void applyTextDelta(String path,
                               String baseChecksum)
                        throws SVNException

  Starts applying text delta(s) to an opened file.

  Parameters:
    `path` - a file path relative to the edit root directory
    `baseChecksum` - an MD5 checksum for the base file contents (before the file is changed)
  Throws:
    `SVNException` - if the calculated base file checksum didn't match the expected `baseChecksum`

### textDeltaChunk

    public OutputStream textDeltaChunk(String path,
                                       SVNDiffWindow diffWindow)
                                throws SVNException

  Collects a next delta chunk. The return type is nomore relevant and is left only for backward compatibility. So, the return value may be just null. Otherwise if it's not null, the stream will be immediately closed.

  If there are more than one windows for the file, this method is called several times.

  Parameters:
    `path` - a file path relative to the edit root directory
    `diffWindow` - a next diff window
  Returns:
    an output stream
  Throws:
    `SVNException`

### textDeltaEnd

    public void textDeltaEnd(String path)
                      throws SVNException

  Finalizes collecting text delta(s).

  Parameters:
    `path` - a file path relative to the edit root directory
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.